BASE32(1)

BEZEICHNUNG
base32 - Daten »base32«-(de)kodiert zur Standardausgabe leiten

ÜBERSICHT
base32 [OPTION] … [DATEI]

BESCHREIBUNG

DATEI oder Standardeingabe mittels Base32 kodieren oder dekodieren und in die Standardausgabe schreiben.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-d, --decode
    Daten dekodieren

-i, --ignore-garbage
    Nichtalphabetische Zeichen beim Dekodieren ignorieren.

-w, --wrap=COLS
    Kodierte Zeilen nach ANZAHL Zeichen umbrechen (Voreinstellung 76). Verwenden Sie 0, um Zeilenumbrüche zu verhindern.

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

Die Daten werden entsprechend dem Base32‐Alphabet aus RFC 4648 kodiert. Beim Dekodieren darf die Eingabe zusätzlich zu den formal gültigen Base32‐Zeichen noch Zeilenumbrüche enthalten. Benutzen Sie --ignore-garbage, um zu versuchen, auch weitere nicht zum Alphabet gehörende Zeichen in der kodierten Eingabe zu verkraften.

AUTOR
Geschrieben von Simon Josefsson.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
basenc(1)

Die vollständige Dokumentation ist unter <https://www.gnu.org/software/coreutils/base32>
oder lokal mit folgendem Befehl verfügbar: info '(coreutils) base32 invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.